%{?nodejs_find_provides_and_requires}

%global packagename miller-rabin
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 4.0.0
Release: 1%{?dist}.3
Summary: Miller Rabin algorithm for primality test
License: MIT
URL: https://github.com/indutny/miller-rabin
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(bn.js) >= 4.0.0
BuildRequires: npm(bn.js) < 5.0.0
BuildRequires: npm(brorand) >= 1.0.1
BuildRequires: npm(brorand) < 2.0.0
%if 0%{?enable_tests}
BuildRequires: npm(mocha) >= 2.0.1
BuildRequires: npm(mocha) < 3.0.0
%endif

%description
Miller Rabin algorithm for primality test.


%prep
%setup -q -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json bin lib \
        %{buildroot}%{nodejs_sitelib}/%{packagename}
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/miller-rabin \
       %{buildroot}%{_bindir}/miller-rabin

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha --reporter=spec 'test/**/*-test.js'
%endif


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}
%{_bindir}/miller-rabin

%changelog
* Sat Sep 24 2016 Oleg Girko <ol@infoserver.lv> - 4.0.0-1
- Initial package.
